Skip to main content
GET
Get bracket order by ID

Authorizations

Authorization
string
header
required

Bearer token used for protected REST API requests.

Path Parameters

bracketOrderId
string
required

System bracket order identifier returned when the bracket order is created.

Response

Bracket-order details.

Stored bracket order state returned by the order service.

bracketOrderId
string

System bracket order id.

entryStopOrderId
string

Entry stop order id generated for the bracket entry condition.

takeProfitOrderId
string | null

Take-profit stop order id generated after entry is active/fillable.

stopLossOrderId
string | null

Stop-loss stop order id generated after entry is active/fillable.

symbol
string

Trading symbol.

side
enum<string>

B for buy, S for sell.

Available options:
B,
S
conditionPrice
number

Entry trigger price.

conditionType
enum<string>

Entry trigger condition.

Available options:
>=,
<=
orderType
string

Entry order type.

quantity
integer

Entry order quantity.

account
string

Trading account.

takeProfitPrice
number | null

Optional take-profit trigger/target price.

takeProfitStatus
string

Take-profit leg status.

stopLossPrice
number | null

Optional stop-loss trigger price.

stopLossStatus
string

Stop-loss leg status.

status
string

Overall bracket status, for example PENDING, COMPLETE, or CANCELLED.

createdTime
string<date-time>

Creation time.

filledTime
string<date-time> | null

Entry fill time.

completedTime
string<date-time> | null

Completion time.

cancelledTime
string<date-time> | null

Cancellation time.

lastCheckTime
string<date-time> | null

Last trigger check time.